Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9640

Department: SUPPORT Affected Products: ADTF 3.3.1, ADTF 3.3.2, ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Support Anfrage:

"Bei der Dokumentation folgender Funktionen haben sich Copy&Paste-Fehler eingeschlichen: (File

"ADTF\3.3.1\pkg\adtffiltersdk\include\adtffiltersdk\filter.h")

tResult ConfigureTimerTrigger(const tChar* strRunnerName, tTimeStamp tmPeriod);

tResult ConfigureThreadTrigger(const tChar* strRunnerName, tBool bCallCyclic);

Es ist von einem Pin-Parameter die Rede, den es nicht gibt.

Es bleibt auch unklar was der Parameter tmPeriod bewirkt und wieso es den Unterschied zwischen Time-Triggered und Thread

Triggered Filter bzw. den entsprechenden Trigger Function Filter Macros gibt, die dies Funktion verwenden. Im Filter-Graph kann ich

auch den Trigger pin von einem Zeitgetriggerten Filter mit einem Thread Runner verbinden und das ganze ist lauffähig und es wird

ein Threaded Filter. Die im Code angegebene tmPeriod hat keinen Einfluss auf einen verbundenen Timer Runner. Also: wie

beeinflusst der Parameter die Funktionalität des Filters?"

Lösung:

Es wurde ein neues Produktticket (BUG) ACORE-9640 erstellt.

Der Parameter ist ein ich ich hätte gerne Parameter. In der Zukunft sollte der CE diesen anzeigen und beim konfigurieren solcher

Runner unterstützen oder sogar automatisch verbinden.

Denn noch bleibt es in der Verantwortung des Integrators wie er den Filter nun genau anschließt.

History

#1 - 2018-08-24 12:37 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Doc

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9640

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.3.1, ADTF 3.3.2, ADTF 3.3.3 added

- Platform Windows 7 64bit added

#2 - 2018-08-24 12:43 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Florian,

wir haben hierfür ein neues Produktticket (BUG) erstellt.
Die Doku muss hier korrigiert und erweitert werden.

Zur Frage "wie beeinflusst der Parameter die Funktionalität des Filters?" sind die Fachkollegen erst nächste Woche wieder greifbar.

Ist das für Euch in Ordnung?

Gruß

Matthias

#3 - 2018-08-24 13:30 - hidden

Jo klar,

danke schonmal für die Mühen…

Lg Flo

#4 - 2018-08-27 08:10 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2018-08-28 14:19 - hidden

@Sebastian: Kannst Du Dir die Frage ganz zum Ende der Anfrage bitte noch ansehen. (wie beeinflusst der Parameter die Funktionalität des Filters?)

Danke

#6 - 2018-08-30 12:25 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1163 ADTF 3.3.1 Fehler in der Doku to EBPRODUCTSUPPORT-1163 Documentation for

ConfigureTimerTrigger is incorrect

#7 - 2018-08-30 12:25 - hidden

- Private changed from Yes to No

#8 - 2018-08-31 08:18 - hidden

Der Parameter ist ein ich ich hätte gerne Parameter. In der Zukunft sollte der CE diesen anzeigen und beim konfigurieren solcher Runner

unterstützen oder sogar automatisch verbinden.

Denn noch bleibt es in der Verantwortung des Integrators wie er den Filter nun genau anschließt.

#9 - 2018-08-31 13:39 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Florian,

gibt es hierzu noch offene Punkte?

Können wir das Support Ticket damit schließen?

Gruß

Matthias

#10 - 2018-08-31 14:00 - hidden

Kann zu

Danke und Lg,

Flo

#11 - 2018-08-31 14:42 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#12 - 2018-09-03 08:35 - hidden

- Status changed from To Be Closed to Closed
